<mat-card *ngIf="hero">
  <mat-card-title title="{{ hero.name }}">{{ hero.name }}</mat-card-title>
  <mat-card-content>
    <a [routerLink]="['/heroes', hero.id]">
      <img src="{{ thumbnail }}" alt="{{ hero.name }}" title="{{ hero.name }}">
    </a>
  </mat-card-content>
  <mat-card-actions>
    <a *ngIf="!loggedIn" class="button-details" mat-raised-button color="primary" routerLink="/heroes/{{hero.id}}">
      <mat-icon>info_outline</mat-icon> Details
    </a>
    <a *ngIf="loggedIn" mat-mini-fab color="primary" routerLink="/heroes/{{hero.id}}">
      <mat-icon>info_outline</mat-icon>
    </a>
    <ng-container *ngIf="loggedIn">
      <button mat-mini-fab color="primary" *ngIf="inFavorite" (click)="remove.emit(hero)">
        <mat-icon>star</mat-icon>
      </button>
      <button mat-mini-fab color="primary" *ngIf="!inFavorite" (click)="add.emit(hero)">
        <mat-icon>star_border</mat-icon>
      </button>
    </ng-container>
  </mat-card-actions>
</mat-card>